* [olang/patches/.build.yml] build success
2024-10-11 4:02 [PATCH olang v1] build: turn make build output less noisy Johnny Richard
@ 2024-10-11 2:04 ` builds.sr.ht
2024-10-11 2:08 ` [PATCH olang v1] build: turn make build output less noisy Carlos Maniero
1 sibling, 0 replies; 4+ messages in thread
From: builds.sr.ht @ 2024-10-11 2:04 UTC (permalink / raw)
To: Johnny Richard; +Cc: ~johnnyrichard/olang-devel
olang/patches/.build.yml: SUCCESS in 28s
[build: turn make build output less noisy][0] from [Johnny Richard][1]
[0]: https://lists.sr.ht/~johnnyrichard/olang-devel/patches/55429
[1]: mailto:johnny@johnnyrichard.com
✓ #1348648 SUCCESS olang/patches/.build.yml https://builds.sr.ht/~johnnyrichard/job/1348648
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [PATCH olang v1] build: turn make build output less noisy
2024-10-11 4:02 [PATCH olang v1] build: turn make build output less noisy Johnny Richard
2024-10-11 2:04 ` [olang/patches/.build.yml] build success builds.sr.ht
@ 2024-10-11 2:08 ` Carlos Maniero
1 sibling, 0 replies; 4+ messages in thread
From: Carlos Maniero @ 2024-10-11 2:08 UTC (permalink / raw)
To: Johnny Richard, ~johnnyrichard/olang-devel
Applied!
To git.sr.ht:~johnnyrichard/olang
6b93fd0..3a988ec main -> main
^ permalink raw reply [flat|nested] 4+ messages in thread
* [PATCH olang v1] build: turn make build output less noisy
@ 2024-10-11 4:02 Johnny Richard
2024-10-11 2:04 ` [olang/patches/.build.yml] build success builds.sr.ht
2024-10-11 2:08 ` [PATCH olang v1] build: turn make build output less noisy Carlos Maniero
0 siblings, 2 replies; 4+ messages in thread
From: Johnny Richard @ 2024-10-11 4:02 UTC (permalink / raw)
To: ~johnnyrichard/olang-devel; +Cc: Johnny Richard
Signed-off-by: Johnny Richard <johnny@johnnyrichard.com>
---
Makefile | 16 +++++++++-------
tests/unit/Makefile | 6 ++++--
2 files changed, 13 insertions(+), 9 deletions(-)
diff --git a/Makefile b/Makefile
index 3a799ae..58526ac 100644
--- a/Makefile
+++ b/Makefile
@@ -74,20 +74,21 @@ olang.info: docs/info/*.texi
$(MAKEINFO) docs/info/olang.texi
$(TARGET): $(BUILDDIR) $(OBJS)
- $(CC) $(CFLAGS) $(OBJS) -o $(TARGET)
+ @$(CC) $(CFLAGS) $(OBJS) -o $(TARGET)
+ @printf 'CCLD\t%s\n' '$@'
$(BUILDDIR):
@mkdir -p $@
.PHONY: format
format: $(SRCS) $(HEADERS)
- clang-format --dry-run --Werror $?
- $(MAKE) -C tests/unit/ format
+ @clang-format --dry-run --Werror $?
+ @$(MAKE) --no-print-directory -C tests/unit/ format
.PHONY: format-fix
format-fix: $(SRCS) $(HEADERS)
- clang-format -i $?
- $(MAKE) -C tests/unit/ format-fix
+ @clang-format -i $?
+ @$(MAKE) --no-print-directory -C tests/unit/ format-fix
.PHONY: check-olc
check-olc: $(TARGET)
@@ -100,7 +101,7 @@ check-unit: $(TARGET)
.PHONY: clean
clean:
@rm -f olang.info
- $(MAKE) -C tests/unit/ clean
+ @$(MAKE) --no-print-directory -C tests/unit/ clean
@rm -rf build/ $(TARGET)
.PHONY: check
@@ -115,4 +116,5 @@ docs-dist:
$(MAKE) -C docs dist
$(BUILDDIR)/%.o: $(SRCDIR)/%.c
- $(CC) $(CFLAGS) -c $< -o $@
+ @$(CC) $(CFLAGS) -c $< -o $@
+ @printf 'CC\t%s\n' '$@'
diff --git a/tests/unit/Makefile b/tests/unit/Makefile
index 686938f..0a5c5aa 100644
--- a/tests/unit/Makefile
+++ b/tests/unit/Makefile
@@ -11,6 +11,7 @@ all: $(RUN_TESTS)
%.bin: %.c $(MUNIT)
@$(CC) $(CFLAGS) $(MUNIT) $(DEP_OBJS) $< -o $@
+ @printf 'CCLD\t%s\n' '$@'
%.run: %.bin
@./$<
@@ -20,10 +21,11 @@ clean:
@$(RM) -rfv lib
format: $(SRCS)
- clang-format --dry-run --Werror $?
+ @clang-format --dry-run --Werror $?
format-fix: $(SRCS)
- clang-format -i $?
+ @clang-format -i $?
$(MUNIT):
@$(CC) -c $(MUNIT_SRC) $(CFLAGS) -o $(MUNIT)
+ @printf 'CCLD\t%s\n' '$@'
base-commit: 6b93fd0059d5d5e9923cad79ad2f0f2938f793ed
--
2.46.0
^ permalink raw reply [flat|nested] 4+ messages in thread
* [PATCH olang v1] build: turn make build output less noisy
@ 2024-10-11 4:02 Johnny Richard
0 siblings, 0 replies; 4+ messages in thread
From: Johnny Richard @ 2024-10-11 4:02 UTC (permalink / raw)
To: ~johnnyrichard/olang-devel; +Cc: Johnny Richard
Signed-off-by: Johnny Richard <johnny@johnnyrichard.com>
---
Makefile | 16 +++++++++-------
tests/unit/Makefile | 6 ++++--
2 files changed, 13 insertions(+), 9 deletions(-)
diff --git a/Makefile b/Makefile
index 3a799ae..58526ac 100644
--- a/Makefile
+++ b/Makefile
@@ -74,20 +74,21 @@ olang.info: docs/info/*.texi
$(MAKEINFO) docs/info/olang.texi
$(TARGET): $(BUILDDIR) $(OBJS)
- $(CC) $(CFLAGS) $(OBJS) -o $(TARGET)
+ @$(CC) $(CFLAGS) $(OBJS) -o $(TARGET)
+ @printf 'CCLD\t%s\n' '$@'
$(BUILDDIR):
@mkdir -p $@
.PHONY: format
format: $(SRCS) $(HEADERS)
- clang-format --dry-run --Werror $?
- $(MAKE) -C tests/unit/ format
+ @clang-format --dry-run --Werror $?
+ @$(MAKE) --no-print-directory -C tests/unit/ format
.PHONY: format-fix
format-fix: $(SRCS) $(HEADERS)
- clang-format -i $?
- $(MAKE) -C tests/unit/ format-fix
+ @clang-format -i $?
+ @$(MAKE) --no-print-directory -C tests/unit/ format-fix
.PHONY: check-olc
check-olc: $(TARGET)
@@ -100,7 +101,7 @@ check-unit: $(TARGET)
.PHONY: clean
clean:
@rm -f olang.info
- $(MAKE) -C tests/unit/ clean
+ @$(MAKE) --no-print-directory -C tests/unit/ clean
@rm -rf build/ $(TARGET)
.PHONY: check
@@ -115,4 +116,5 @@ docs-dist:
$(MAKE) -C docs dist
$(BUILDDIR)/%.o: $(SRCDIR)/%.c
- $(CC) $(CFLAGS) -c $< -o $@
+ @$(CC) $(CFLAGS) -c $< -o $@
+ @printf 'CC\t%s\n' '$@'
diff --git a/tests/unit/Makefile b/tests/unit/Makefile
index 686938f..0a5c5aa 100644
--- a/tests/unit/Makefile
+++ b/tests/unit/Makefile
@@ -11,6 +11,7 @@ all: $(RUN_TESTS)
%.bin: %.c $(MUNIT)
@$(CC) $(CFLAGS) $(MUNIT) $(DEP_OBJS) $< -o $@
+ @printf 'CCLD\t%s\n' '$@'
%.run: %.bin
@./$<
@@ -20,10 +21,11 @@ clean:
@$(RM) -rfv lib
format: $(SRCS)
- clang-format --dry-run --Werror $?
+ @clang-format --dry-run --Werror $?
format-fix: $(SRCS)
- clang-format -i $?
+ @clang-format -i $?
$(MUNIT):
@$(CC) -c $(MUNIT_SRC) $(CFLAGS) -o $(MUNIT)
+ @printf 'CCLD\t%s\n' '$@'
base-commit: 6b93fd0059d5d5e9923cad79ad2f0f2938f793ed
--
2.46.0
^ permalink raw reply [flat|nested] 4+ messages in thread
end of thread, other threads:[~2024-10-11 2:08 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2024-10-11 4:02 [PATCH olang v1] build: turn make build output less noisy Johnny Richard
2024-10-11 2:04 ` [olang/patches/.build.yml] build success builds.sr.ht
2024-10-11 2:08 ` [PATCH olang v1] build: turn make build output less noisy Carlos Maniero
-- strict thread matches above, loose matches on Subject: below --
2024-10-11 4:02 Johnny Richard
Code repositories for project(s) associated with this public inbox
https://git.johnnyrichard.com/olang.git
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox